/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { CancelablePromise } from '../core/CancelablePromise';
import { OpenAPI } from '../core/OpenAPI';
import { request as __request } from '../core/request';

export class AuthService {

    /**
     * Life Science Login Callback
     * Callback for the Life Science Identity Provider.
     *
     * To start the login process visit the route [login route](/api/auth/login/)
     *
     * If the user is already known to the system, then a JWT token will be created and sent via the 'set-cookie' header.
     * The key for this Cookie is 'bearer'.
     *
     * If the user is new, he will be created and then a JWT token is issued.
     *
     * This JWT has to be sent to all authorized endpoints via the HTTPBearer scheme.
     *
     * @returns void
     * @throws ApiError
     */
    public static authLoginCallback(): CancelablePromise<void> {
        return __request(OpenAPI, {
            method: 'GET',
            url: '/auth/callback',
            errors: {
                302: `Successful Response`,
            },
        });
    }

}
